Package com.databricks.jdbc.model.client.thrift.generated

## Class TI32Value

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TI32Value

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TI32Value>`, `org.apache.thrift.TBase<TI32Value,​TI32Value._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-10-09")
    public class TI32Value
    extends Object
    implements org.apache.thrift.TBase<TI32Value,​TI32Value._Fields>, Serializable, Cloneable, Comparable<TI32Value>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TI32Value._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<TI32Value._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`int` `value`

### Constructor Summary

Constructors
`TI32Value()`
`TI32Value​(TI32Value other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TI32Value other)`
`TI32Value` `deepCopy()`
`boolean` `equals​(TI32Value that)`
`boolean` `equals​(Object that)`
`TI32Value._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TI32Value._Fields field)`
`int` `getValue()`
`int` `hashCode()`
`boolean` `isSet​(TI32Value._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetValue()` Returns true if field value is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TI32Value._Fields field, Object value)`
`TI32Value` `setValue​(int value)`
`void` `setValueIsSet​(boolean value)`
`String` `toString()`
`void` `unsetValue()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### value

    public int value

#### metaDataMap

    public static final Map<TI32Value._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TI32Value

    public TI32Value()

#### TI32Value

    public TI32Value​(TI32Value other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TI32Value deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TI32Value,​TI32Value._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TI32Value,​TI32Value._Fields>`

#### getValue

    public int getValue()

#### setValue

    public TI32Value setValue​(int value)

#### unsetValue

    public void unsetValue()

#### isSetValue

    public boolean isSetValue()

Returns true if field value is set (has been assigned a value) and false otherwise

#### setValueIsSet

    public void setValueIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TI32Value._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TI32Value,​TI32Value._Fields>`

#### getFieldValue

    public Object getFieldValue​(TI32Value._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TI32Value,​TI32Value._Fields>`

#### isSet

    public boolean isSet​(TI32Value._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TI32Value,​TI32Value._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TI32Value that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TI32Value other)

Specified by:
  `compareTo` in interface `Comparable<TI32Value>`

#### fieldForId

    public TI32Value._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TI32Value,​TI32Value._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`